<html>
    <body>
        <img id="image" height="400" width="400"><br>    
        <input type="button" id="previous" value="Previous"  onClick="previousImage();" >
        <input type="button" id="next" value="Next" onClick="nextImage();">
    </body>
    <script>
        images= ["1.jpg","2.png","3.jpg","4.jpg","5.jpg","6.jpg"];
        value=0;
        document.getElementById("image").src=images[value];
        
        document.getElementById("previous").disabled = true;

        function nextImage(){              
            value= value+1;
            checkButton(); 
            if(value>5){
                value=5;
                return;
            }
            document.getElementById("image").src=images[value];
            
        }function previousImage(){              
            value= value-1;
            checkButton();
            if(value<0){
                value=0;
                return;
            }
            document.getElementById("image").src=images[value]
        }

        function checkButton(){
            if(value === 0){
                document.getElementById("previous").disabled = true;        
            }
            if(value >= 1) {
                document.getElementById("previous").disabled = false;
            }
            if(value === 5){
                document.getElementById("next").disabled = true;
            }
            if(value <= 4){
                document.getElementById("next").disabled = false;
            }
        }
    </script>
</html>